# Kratos

A clean, simple and responsive blog theme of WordPress, based on [Bootstrap](https://github.com/twbs/bootstrap) and [Font Awesome](https://github.com/FortAwesome/Font-Awesome). Created and maintained by Vtrois. Stay up to date with the latest release and announcements on [Bulletin Board](https://github.com/Vtrois/Kratos/issues). 

![Kratos Demo](http://i2.bvimg.com/1949/649bfde164c5c8b1.png) 

## Structure
Within the download you'll find the following directories and files. You'll see something like this :point_down:

```
kratos/
├── css/
│   ├── animate.min.css
│   ├── bootstrap.min.css
│   ├── font-awesome.min.css
│   ├── kratos.diy.css
│   ├── layer.min.css
│   └── superfish.min.css
├── js/
│   ├── buttons(has some button pic)
│   ├── jquery.min.js
│   ├── jquery.easing.js
│   ├── jquery.qrcode.js
│   ├── jquery.qrcode.min.js
│   ├── jquery.stellar.min.js
│   ├── jquery.waypoints.min.js
│   ├── kratos.js
│   ├── kratos.diy.js
│   ├── layer.min.js
│   ├── superfish.js
│   ├── modernizr.min.js
│   └── bootstrap.min.js
├── fonts/
│   ├── Din.otf
│   ├── FontAwesome.otf
│   ├── fontawesome-webfont.eot
│   ├── fontawesome-webfont.svg
│   ├── fontawesome-webfont.ttf
│   ├── fontawesome-webfont.woff
│   └── fontawesome-webfont.woff2
├── images/
│   ├── options(has some options pic)
│   ├── smilies(has some emoji pic)
│   ├── 404.jpg
│   ├── arrow.png
│   ├── about.png
│   ├── avatar.png
│   ├── background.jpg
│   ├── fingerprint.png
│   ├── weixin.png
│   └── licenses.png
├── inc/
│   ├── theme-options
│   │   ├── css
│   │   │   └── optionsframework.css
│   │   ├── images
│   │   │   └── ico-delete.png
│   │   ├── theme-options
│   │   │   └── ico-delete.png
│   │   ├── includes
│   │   │   ├── class-options-framework.php
│   │   │   ├── class-options-framework-admin.php
│   │   │   ├── class-options-interface.php
│   │   │   ├── class-options-media-uploader.php
│   │   │   └── class-options-sanitization.php
│   │   ├── js
│   │   │   ├── media-uploader.js
│   │   │   └── options-custom.js
│   │   └── options-framework.php
│   ├── version.php
│   └── widgets.php
├── 404.php
├── style.css
├── index.php
├── header.php
├── header-banner.php
├── footer.php
├── comments.php
├── content.php
├── options.php
├── sidebar.php
├── single.php
├── smiley.php
├── page.php
├── page-notitle.php
├── page-home.php
├── functions.php
└── screenshot.png
```
  
## License

- The Kratos Html,CSS,JavaScript,and PHP files are licensed under the GNU General Public License v3:
  - http://www.gnu.org/licenses/gpl-3.0.html

- The Kratos documentation is licensed under the CC BY 4.0 License:
  - https://creativecommons.org/licenses/by/4.0